Bug 824476 - koan 2.2 uses virtinst set_autostart, which is not in RHEL 5 python-virtinst
koan 2.2 uses virtinst set_autostart, which is not in RHEL 5 python-virtinst
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: cobbler (Show other bugs)
el5
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: James C.
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 10:44 EDT by Tim Ricketts
Modified: 2014-04-21 14:48 EDT (History)
7 users (show)

See Also:
Fixed In Version: 2.2.3-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-21 14:48:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Ricketts 2012-05-23 10:44:19 EDT
Description of problem:
If you use koan to create a guest, you get the following error:
# koan --server=localhost --virt --virt-type=qemu --system=foo
- looking for Cobbler at http://localhost:80/cobbler_api
- reading URL: http://192.168.122.1/cblr/svc/op/ks/system/foo
install_tree: http://192.168.122.1/cblr/links/rhel5-x86_64
libvirtd (pid  3581) is running...
- using qemu hypervisor, type=kvm
Wed, 23 May 2012 15:40:11 DEBUG    No conn passed to Guest, opening URI 'qemu:///system'
Wed, 23 May 2012 15:40:11 DEBUG    DistroInstaller location is a network source.
libvir: QEMU error : Domain not found: no domain with matching name 'foo'
exceptions.AttributeError
'FullVirtGuest' object has no attribute 'set_autostart'
  File "/usr/lib/python2.4/site-packages/koan/app.py", line 245, in main
    k.run()
   File "/usr/lib/python2.4/site-packages/koan/app.py", line 385, in run
    self.virt()
   File "/usr/lib/python2.4/site-packages/koan/app.py", line 739, in virt
    return self.net_install(after_download)
   File "/usr/lib/python2.4/site-packages/koan/app.py", line 630, in net_install
    after_download(self, profile_data)
   File "/usr/lib/python2.4/site-packages/koan/app.py", line 737, in after_download
    self.virt_net_install(profile_data)
   File "/usr/lib/python2.4/site-packages/koan/app.py", line 1291, in virt_net_install
    qemu_net_type    =  self.qemu_net_type
   File "/usr/lib/python2.4/site-packages/koan/qcreate.py", line 161, in start_install
    guest.set_autostart(virt_auto_boot)
#

Version-Release number of selected component (if applicable):
koan-2.2.2-1.el5
python-virtinst-0.400.3-13.el5


How reproducible:
Every time.


Steps to Reproduce:
1. Configure a cobbler server.
2. Run the command above to create a guest.
  
Actual results:
The exception above.


Expected results:
Virtual machine is created.


Additional info:
Comment 1 Tim Ricketts 2012-07-06 06:58:39 EDT
This appears to be fixed in 2.2.3-2.el5.
Comment 2 Orion Poplawski 2013-12-16 15:44:29 EST
koan is a sub-package of cobbler

Note You need to log in before you can comment on or make changes to this bug.